/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\leviathan artifacts\watercityvendors\SBTinkering.cs
Lines of code: 64
***********************************************************/


using System; 
using System.Collections; 
using Server.Items; 

namespace Server.Mobiles 
{ 
	public class SBTinkering: SBInfo 
	{ 
		private ArrayList m_BuyInfo = new InternalBuyInfo(); 
		private IShopSellInfo m_SellInfo = new InternalSellInfo(); 

		public SBTinkering() 
		{ 
		} 

		public override IShopSellInfo SellInfo { get { return m_SellInfo; } } 
		public override ArrayList BuyInfo { get { return m_BuyInfo; } } 

		public class InternalBuyInfo : ArrayList 
		{ 
			public InternalBuyInfo() 
			{ 

				Add( new GenericBuyInfo( typeof( Clock ), 11, 20, 0x104B, 0 ) );
				Add( new GenericBuyInfo( typeof( Nails ), 2, 20, 0x102E, 0 ) );
				Add( new GenericBuyInfo( typeof( ClockParts ), 2, 20, 0x104F, 0 ) );
				Add( new GenericBuyInfo( typeof( AxleGears ), 2, 20, 0x1051, 0 ) );
				Add( new GenericBuyInfo( typeof( Gears ), 1, 20, 0x1053, 0 ) );
				Add( new GenericBuyInfo( typeof( Hinge ), 1, 20, 0x1055, 0 ) );

				Add( new GenericBuyInfo( typeof( Sextant ), 7, 20, 0x1057, 0 ) );
				Add( new GenericBuyInfo( typeof( SextantParts ), 3, 20, 0x1059, 0 ) );
				Add( new GenericBuyInfo( typeof( Axle ), 1, 20, 0x105B, 0 ) );
				Add( new GenericBuyInfo( typeof( Springs ), 2, 20, 0x105D, 0 ) );

				Add( new GenericBuyInfo( "1024111", typeof( Key ), 4, 20, 0x100F, 0 ) );
				Add( new GenericBuyInfo( "1024112", typeof( Key ), 4, 20, 0x1010, 0 ) );
				Add( new GenericBuyInfo( "1024115", typeof( Key ), 4, 20, 0x1013, 0 ) );
				Add( new GenericBuyInfo( typeof( KeyRing ), 4, 20, 0x1010, 0 ) );
				Add( new GenericBuyInfo( typeof( Lockpick ), 6, 20, 0x14FC, 0 ) );

				Add( new GenericBuyInfo( typeof( TinkerTools ), 3, 20, 0x1EB8, 0 ) );
				Add( new GenericBuyInfo( typeof( Board ), 2, 20, 0x1BD7, 0 ) );
				Add( new GenericBuyInfo( typeof( IronIngot ), 7, 16, 0x1BF2, 0 ) );
				Add( new GenericBuyInfo( typeof( SewingKit ), 2, 20, 0xF9D, 0 ) );

				Add( new GenericBuyInfo( typeof( DrawKnife ), 5, 20, 0x10E4, 0 ) );
				Add( new GenericBuyInfo( typeof( Froe ), 5, 20, 0x10E5, 0 ) );
				Add( new GenericBuyInfo( typeof( Scorp ), 5, 20, 0x10E7, 0 ) );
				Add( new GenericBuyInfo( typeof( Inshave ), 5, 20, 0x10E6, 0 ) );

				Add( new GenericBuyInfo( typeof( ButcherKnife ), 7, 20, 0x13F6, 0 ) );

				Add( new GenericBuyInfo( typeof( Scissors ), 6, 20, 0xF9F, 0 ) );

				Add( new GenericBuyInfo( typeof( Tongs ), 6, 14, 0xFBB, 0 ) );

				Add( new GenericBuyInfo( typeof( DovetailSaw ), 6, 20, 0x1028, 0 ) );
				Add( new GenericBuyInfo( typeof( Saw ), 7, 20, 0x1034, 0 ) );

				Add( new GenericBuyInfo( typeof( Hammer ), 8, 20, 0x102A, 0 ) );
				Add( new GenericBuyInfo( typeof( SmithHammer ), 12, 20, 0x13E3, 0 ) );
				// TODO: Sledgehammer

				Add( new GenericBuyInfo( typeof( Shovel ), 6, 20, 0xF39, 0 ) );

				Add( new GenericBuyInfo( typeof( MouldingPlane ), 6, 20, 0x102C, 0 ) );
				Add( new GenericBuyInfo( typeof( JointingPlane ), 5, 20, 0x1030, 0 ) );
				Add( new GenericBuyInfo( typeof( SmoothingPlane ), 6, 20, 0x1032, 0 ) );

				Add( new GenericBuyInfo( typeof( Pickaxe ), 14, 20, 0xE86, 0 ) );


				Add( new GenericBuyInfo( typeof( Drums ), 10, 20, 0x0E9C, 0 ) );
				Add( new GenericBuyInfo( typeof( Tambourine ), 10, 20, 0x0E9E, 0 ) );
				Add( new GenericBuyInfo( typeof( LapHarp ), 10, 20, 0x0EB2, 0 ) );
				Add( new GenericBuyInfo( typeof( Lute ), 10, 20, 0x0EB3, 0 ) );

			} 
		} 

		public class InternalSellInfo : GenericSellInfo 
		{ 
		} 
	} 
}